scala.collection

# SortedMap

#### object SortedMap extends SortedMapFactory[SortedMap]

Source
  SortedMap.scala
Since

  2.8

Linear Supertypes
SortedMapFactory[SortedMap], AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. SortedMap
2. SortedMapFactory
3. AnyRef
4. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### type Coll = SortedMap[_, _]

   Definition Classes
     SortedMapFactory

2. #### class SortedMapCanBuildFrom[A, B] extends CanBuildFrom[Coll, (A, B), CC[A, B]]

   Definition Classes
     SortedMapFactory

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def apply[A, B](elems: (A, B)*)(implicit ord: Ordering[A]): SortedMap[A, B]

   Definition Classes
     SortedMapFactory

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### implicit def canBuildFrom[A, B](implicit ord: Ordering[A]): CanBuildFrom[Coll, (A, B), SortedMap[A, B]]

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def empty[A, B](implicit ord: Ordering[A]): SortedMap[A, B]

   Definition Classes
     SortedMap → SortedMapFactory

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### def newBuilder[A, B](implicit ord: Ordering[A]): Builder[(A, B), SortedMap[A, B]]

    Definition Classes
      SortedMapFactory

17. #### final def notify(): Unit

    Definition Classes
      AnyRef

18. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

19. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

20. #### def toString(): String

    Definition Classes
      AnyRef → Any

21. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from SortedMapFactory[SortedMap]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped